﻿using Tuitio.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Tuitio.Domain.Data.EntityTypeConfiguration
{
    class UserClaimConfiguration : IEntityTypeConfiguration<UserClaim>
    {
        public void Configure(EntityTypeBuilder<UserClaim> builder)
        {
            builder.ToTable("UserClaim").HasKey(z => z.ClaimId);
            builder.Property(z => z.ClaimId).ValueGeneratedOnAdd();
        }
    }
}
